org.apache.hadoop.mapreduce.v2.app.rm

## Class RMCommunicator.AllocatorRunnable

- java.lang.Object
- - org.apache.hadoop.mapreduce.v2.app.rm.RMCommunicator.AllocatorRunnable

- All Implemented Interfaces:
    Runnable
  Enclosing class:
    RMCommunicator

      public class RMCommunicator.AllocatorRunnable
      extends Object
      implements Runnable

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AllocatorRunnable()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `run()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AllocatorRunnable

          public AllocatorRunnable()

  - ### Method Detail

    - #### run

          public void run()

      Specified by:
        `run` in interface `Runnable`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.